> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/match-play-hole-by-hole.md).

# Match Play Hole-by-hole

### Overview

Use this resource to retrieve or stream match play hole-by-hole state.

REST returns the current payload.

WebSocket wraps the same payload in the state envelope.

* **REST:** `GET https://{domain}/golf/rest/v1/tournaments/{tournament_id}/match-hole-by-hole/{match_id}`
* **WebSocket:** `wss://{domain}/golf/stream/v1/tournaments/{tournament_id}/match-hole-by-hole/{match_id}`

### Path parameters

* `tournament_id`
  * type: integer
  * Tournament identifier.
  * example: `12345`
* `match_id`
  * type: integer
  * Match identifier stripped from the SR match ID, for example `sr:match:12345` → `12345`.
  * example: `12345`

### Response example

The example below shows the resource payload.

{% code overflow="wrap" expandable="true" %}

```json
{
  "is_official": true,
  "match_id": 12345,
  "sr_match_id": "sr:match:12345",
  "scoring_type": "strokes",
  "time": "2026-04-02T21:37:00.504Z",
  "tournament_id": 54321,
  "sr_tournament_id": "sr:stage:54321",
  "winning_team_number": 17,
  "team_scores": [
    {
      "team_number": 12,
      "squad_number": 2,
      "match_score_to_par": -2,
      "match_points": 2.5,
      "match_strokes": 21,
      "hole_scores": [
        {
          "cumulative_score_to_par": 0,
          "cumulative_holes_advantage": "T",
          "hole_number": 3,
          "yardage": 465,
          "par": 4,
          "score_to_par": -1,
          "strokes": 3,
          "hole_finished": true,
          "points": 2.5,
          "hole_finished_by": "HoleWon",
          "playoff_sequence": 0,
          "player_scores": [
            {
              "strokes": 2,
              "score_to_par": 0,
              "player_id": 123,
              "sr_player_id": "sr:competitor:123",
              "is_ball_holed": true
            },
            {...}
          ]
        },
        {...}
      ],
      "players": [
        {
          "country": "USA",
          "display_name": "Mario Luigi",
          "first_name": "Mario",
          "last_name": "Luigi",
          "gender": "male",
          "player_id": 6789,
          "sr_player_id": "sr:competitor:6789",
          "is_amateur": false
        },
        {...}
      ]
    },
    {...}
  ]
}
```

{% endcode %}

| **Field**                                                                            | **Type**           | **Details**                                                                                                                                                                                 | **Required** | **IMGA equivalent**      |
| ------------------------------------------------------------------------------------ | ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------------------ |
| is\_official                                                                         | Boolean            | Is the match official                                                                                                                                                                       | yes          | isOfficial               |
| match\_id                                                                            | Integer            | Match identifier                                                                                                                                                                            | yes          | matchId                  |
| sr\_match\_id                                                                        | String             | SR match identifier                                                                                                                                                                         | yes          | -                        |
| scoring\_type                                                                        | String             | Scoring type, either `strokes` or `points`                                                                                                                                                  | no           | scoringType              |
| time                                                                                 | String (date-time) | Timestamp of the data when it was generated                                                                                                                                                 | yes          | timestamp                |
| tournament\_id                                                                       | Integer            | Tournament identifier                                                                                                                                                                       | yes          | tournamentId             |
| sr\_tournament\_id                                                                   | String             | SR tournament identifier                                                                                                                                                                    | yes          | -                        |
| winning\_team\_number                                                                | Integer            | Number of the team who won, appears once when the winning team is determined                                                                                                                | no           | winningTeamNo            |
| team\_scores                                                                         | array              | Array of individual team scores                                                                                                                                                             | yes          | teamScores               |
| <p>team\_scores\[]<br>.team\_number</p>                                              | Integer            | Number of the single team                                                                                                                                                                   | yes          | teamNo                   |
| <p>team\_scores\[]<br>.squad\_number</p>                                             | Integer            | Number of the squad for a given team                                                                                                                                                        | yes          | squadNo                  |
| <p>team\_scores\[]<br>.match\_score\_to\_par</p>                                     | Integer            | Score to par calculated for finished hole                                                                                                                                                   | no           | matchTotalToPar          |
| <p>team\_scores\[]<br>.match\_points</p>                                             | Decimal            | Score for team in match, usually it will be sum of points of MatchHoleScore points (available only for `scoring_type` set to `points`)                                                      | no           | matchPoints              |
| <p>team\_scores\[]<br>.match\_strokes</p>                                            | Integer            | Number of strokes taken in a given match; it’s based only on completed holes                                                                                                                | no           | matchStrokes             |
| <p>team\_scores\[]<br>.hole\_scores\[]</p>                                           | array              | Array of hole scores for individual team                                                                                                                                                    | yes          | holeScores               |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.cumulative\_score\_to\_par</p>            | Integer            | Contains cumulative number of strokes compared to par of current and previous holes                                                                                                         | no           |                          |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.cumulative\_holes\_advantage</p>          | String             | The team’s score in the match at the time that the given hole was completed                                                                                                                 | yes          | cumulativeHolesAdvantage |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.hole\_number</p>                          | Integer            | Number of the hole                                                                                                                                                                          | yes          | holeNo                   |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.yardage</p>                               | Integer            | The length of the hole in yards                                                                                                                                                             | yes          | yardage                  |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.par</p>                                   | Integer            | Par value for the given hole                                                                                                                                                                | yes          | par                      |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.score\_to\_par</p>                        | Integer            | Score to par on particular hole. This value will be empty when hole was not played yet or conceded.                                                                                         | no           | scoreToPar               |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.strokes</p>                               | String             | Number of strokes taken for the given hole; if a hole is conceded, the strokes value is set to `c`, can also be `-`.                                                                        | no           | strokes                  |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.hole\_finished</p>                        | Boolean            | Flag to determine if a given hole is finished                                                                                                                                               | yes          | holeFinished             |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.points</p>                                | Decimal            | The accumulated points score for that match                                                                                                                                                 | no           |                          |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.hole\_finished\_by</p>                    | String             | <p>The reason for which the hole ended; possible values:</p><p><code>BallHoled</code><br><code>HoleWon</code><br><code>LossOfHole</code><br><code>HoleConceded</code></p>                   | no           | holeFinishedBy           |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.playoff\_sequence</p>                     | Integer            | A counter indicating which playoff hole number the given hole pertains to, Will be 0 for non-playoff holes, and will count up from 1 for playoff holes                                      | yes          | playOffSequence          |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.player\_scores</p>                        | array              | Array of score per player on a given hole, this will be sent when teams are playing best ball (Four Balls) format so as to know the individual player score as well as the total team score | no           | playerScores             |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.player\_scores\[]<br>.strokes</p>         | Integer            | Number of strokes on a given hole made by player                                                                                                                                            | yes          | strokes                  |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.player\_scores\[]<br>.score\_to\_par</p>  | Integer            | Score to par on a given hole by player                                                                                                                                                      | yes          | scoreToPar               |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.player\_scores\[]<br>.player\_id</p>      | Integer            | Player identifier                                                                                                                                                                           | yes          | playerId                 |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.player\_scores\[]<br>.sr\_player\_id</p>  | String             | SR player identifier                                                                                                                                                                        | yes          | -                        |
| <p>team\_scores\[]<br>.hole\_scores\[]<br>.player\_scores\[]<br>.is\_ball\_holed</p> | Boolean            | Flag indicating whether the ball was holed by player                                                                                                                                        | yes          | isBallHoled              |
| <p>team\_scores\[]<br>.players</p>                                                   | array              | Array of players in a given team                                                                                                                                                            | yes          | players                  |
| <p>team\_scores\[]<br>.players\[]<br>.country</p>                                    | String             | 3-character FIFA Country Code                                                                                                                                                               | yes          | country                  |
| <p>team\_scores\[]<br>.players\[]<br>.display\_name</p>                              | String             | Player first name + last name                                                                                                                                                               | yes          | displayName              |
| <p>team\_scores\[]<br>.players\[]<br>.first\_name</p>                                | String             | Player first name                                                                                                                                                                           | yes          | firstName                |
| <p>team\_scores\[]<br>.players\[]<br>.last\_name</p>                                 | String             | Player last name                                                                                                                                                                            | yes          | lastName                 |
| <p>team\_scores\[]<br>.players\[]<br>.gender</p>                                     | String             | Player gender                                                                                                                                                                               | yes          | gender                   |
| <p>team\_scores\[]<br>.players\[]<br>.player\_id</p>                                 | Integer            | Player identifier                                                                                                                                                                           | yes          | id                       |
| <p>team\_scores\[]<br>.players\[]<br>.sr\_player\_id</p>                             | String             | SR player identifier                                                                                                                                                                        | yes          | -                        |
| <p>team\_scores\[]<br>.players\[]<br>.is\_amateur</p>                                | Boolean            | Is player amateur or not                                                                                                                                                                    | yes          | isAmateur                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/match-play-hole-by-hole.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
